Name:		qt-update-notifier
Version:	1.7.1
Release:	%mkrel 2
Summary:	QT technology based PCLinuxOS update notifier tray application
Summary(de): Zeigt Benachrichtigungen über verfügbare Aktualisierungen im Systray, dafür wird KDE Technologie benutzt.
License:	GPLv2
URL:		https://github.com/mhogomchungu/qt-update-notifier/releases
Source:		%{name}-%{version}.tar.xz
Group:		Graphical desktop/Other
BuildRequires: qtbase5-devel
BuildRequires: cmake
BuildRequires: libssh2-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5dbus-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5network-devel
BuildRequires: libqt5widgets-devel

Conflicts: qt-update-notifier-kf5


%description
This project seeks to provide a Qt5 technology based PCLinuxOS update notifier tray application

%description -l de
Dieses Paket bietet einen Dienst der im Systray anzeigt, ob Aktualisierungen für Ihr PCLinuxOS
System verfügbar sind. Dieses Programm baut auf der Qt5 Technologie auf.

%prep
%setup -q

%build
%cmake_qt5 -DQT5_BUILD=true
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#fix permission on desktop file
chmod 0644 %buildroot/%{_datadir}/applications/qt-update-notifier.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root)
%doc README.md changelog
%{_bindir}/qt-update-notifier
%{_bindir}/qt-update-notifier-cli
%{_datadir}/applications/qt-update-notifier.desktop
%{_datadir}/icons/*.png
%{_datadir}/%{name}-translations/*.qm
%{_sysconfdir}/xdg/autostart/qt-update-notifier-autostart.desktop

%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 1.7.1-2uplos2018
- add conflict with qt-update-notifier-kf5
